InvalidParameterException (Java SE 22 & JDK 22)
Description: declaration: module: java.base, package: java.security, class: InvalidParameterException
Keywords: java.security.InvalidParameterException class

Module java.base
Package java.security

# Class InvalidParameterException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
java.lang.IllegalArgumentException
java.security.InvalidParameterException

All Implemented Interfaces:
  `Serializable`

public class InvalidParameterException extends IllegalArgumentException
This exception, designed for use by the JCA/JCE engine classes, is thrown when an invalid parameter is passed to a method.

Since:
  1.1
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InvalidParameterException()`
  Constructs an `InvalidParameterException` with no detail message.
  `InvalidParameterException(String msg)`
  Constructs an `InvalidParameterException` with the specified detail message.
  `InvalidParameterException(String msg, Throwable cause)`
  Constructs an `InvalidParameterException` with the specified detail message and cause.
  `InvalidParameterException(Throwable cause)`
  Constructs an `InvalidParameterException` with the specified cause and a detail message of `(cause==null ? null : cause.toString())` (which typically contains the class and detail message of `cause`).

- ## Method Summary

  ### Methods declared in class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### InvalidParameterException

    public InvalidParameterException()
    Constructs an `InvalidParameterException` with no detail message. A detail message is a `String` that describes this particular exception.

  - ### InvalidParameterException

    public InvalidParameterException(String msg)
    Constructs an `InvalidParameterException` with the specified detail message. A detail message is a `String` that describes this particular exception.
    Parameters:
      `msg` - the detail message.

  - ### InvalidParameterException

    public InvalidParameterException(String msg, Throwable cause)
    Constructs an `InvalidParameterException` with the specified detail message and cause. A detail message is a `String` that describes this particular exception.

    Note that the detail message associated with `cause` is not automatically incorporated in this exception's detail message.

    Parameters:
      `msg` - the detail message (which is saved for later retrieval by the `Throwable.getMessage()` method).
      `cause` - the cause (which is saved for later retrieval by the `Throwable.getCause()` method). (A `null` value is permitted, and indicates that the cause is nonexistent or unknown.)
    Since:
      20

  - ### InvalidParameterException

    public InvalidParameterException(Throwable cause)
    Constructs an `InvalidParameterException` with the specified cause and a detail message of `(cause==null ? null : cause.toString())` (which typically contains the class and detail message of `cause`). This constructor is useful for exceptions that are little more than wrappers for other throwables.
    Parameters:
      `cause` - the cause (which is saved for later retrieval by the `Throwable.getCause()` method). (A `null` value is permitted, and indicates that the cause is nonexistent or unknown.)
    Since:
      20